return {
  {
    "neovim/nvim-lspconfig",
    lazy = false,
    config = function()
      vim.lsp.config.lua_ls = {
        settings = {
          Lua = {
            diagnostics = {
              globals = { "vim" },
            },
            workspace = {
              checkThirdParty = false,
              library = {
                vim.fn.expand("$VIMRUNTIME/lua"),
                vim.fn.expand("$XDG_CONFIG_HOME") .. "/nvim/lua",
              },
            },
          },
        },
      }

      vim.lsp.enable({
        "bashls", -- npm install -g bash-language-server
        "clangd", -- pkg install llvm
        "lua_ls", -- pkg install lua-language-server
      })
    end,
  },
}
